ckfinder:
    connector:
        licenseName: "codeurdulibre.fr"
        licenseKey: "*4?6-*1**-J**9-*K**-*J**-K*V*-2**H"
        authenticationClass: App\Security\CustomCKFinderAuth
        defaultResourceTypes: 'Fichiers,Miniatures,Videos,Polices,Images,Cahiers,Config,Partenaires,Personnes,RessourceDoc,RessourceDocThumbs,Press,Sm'
        resourceTypes:
            Fichiers:
                name: "Fichiers"
                directory: "files"
                allowedExtensions: '%env(resolve:FILE_UPLOAD_FILES)%'
                maxSize: 8388608
                backend: custom
            Images:
                name: "Images"
                directory: "images"
                allowedExtensions: '%env(resolve:FILE_UPLOAD_IMAGES)%'
                maxSize: 1048576
                backend: custom
            Attachments:
                name: "Documents"
                directory: "files"
                maxSize: 8388608
                allowedExtensions: '%env(resolve:FILE_UPLOAD_DOCS)%'
                backend: custom
            Videos:
                name: "Videos"
                directory: "videos"
                maxSize: 32388608
                allowedExtensions: '%env(resolve:FILE_UPLOAD_VIDEOS)%'
                backend: custom
            Thumbnails:
                name: "Miniatures"
                directory: "miniatures"
                maxSize: 18388608
                allowedExtensions: '%env(resolve:FILE_UPLOAD_IMAGES_MINIATURES)%'
                backend: custom
            Fonts:
                name: "Polices"
                directory: "fonts"
                maxSize: 18388608
                allowedExtensions: '%env(resolve:FILE_UPLOAD_FONTS)%'
                backend: custom
            Books:
                name: "Cahiers"
                directory: "books"
                maxSize: "50M"
                allowedExtensions: '%env(resolve:FILE_UPLOAD_BOOKS)%'
                backend: custom
            Config:
                name: "Config"
                directory: "config"
                maxSize: 18388608
                allowedExtensions: 'psd,png'
                backend: custom
            Partenaires:
                name: "Partenaires"
                directory: "partenaires"
                maxSize: 18388608
                allowedExtensions: '%env(resolve:FILE_UPLOAD_IMAGES)%'
                backend: custom
            Personnes:
                name: "Personnes"
                directory: "personnes"
                maxSize: 18388608
                allowedExtensions: '%env(resolve:FILE_UPLOAD_IMAGES)%'
                backend: custom
            RessourceDoc:
                name: "RessourceDoc"
                label: "Fichiers Ressources"
                directory: "ressourcesdocs"
                allowedExtensions: '%env(resolve:FILE_UPLOAD_DOCS)%'
                maxSize: 8388608
                backend: custom
            RessourceDocThumbs:
                name: "RessourceDocThumbs"
                label: "Miniatures Ressources"
                directory: "ressourcesdocsthumbs"
                maxSize: 8388608
                allowedExtensions: '%env(resolve:FILE_UPLOAD_IMAGES)%'
                backend: custom
            Press:
                name: "Press"
                label: "Ils parlent de nous"
                directory: "press"
                maxSize: 8388608
                allowedExtensions: '%env(resolve:FILE_UPLOAD_IMAGES)%'
                backend: custom
            Sm:
                name: "Sm"
                label: "Seine et marne"
                directory: "sm"
                maxSize: 8388608
                allowedExtensions: '%env(resolve:FILE_UPLOAD_DOCS)%'
                backend: custom
        backends:
            custom:
                name: "custom"
                adapter: "local"
                baseUrl: "/uploads/"
                root: "%kernel.project_dir%/public/uploads"
                chmodFiles: 0777
                chmodFolders: 0755
                filesystemEncoding: 'UTF-8'